Package org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

# Class ProblemIndicationComposite.TextProvider

java.lang.Object
org.eclipse.emf.common.ui.DiagnosticComposite.TextProvider
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.ProblemIndicationComposite.TextProvider

Enclosing class:
  ProblemIndicationComposite

public static class ProblemIndicationComposite.TextProvider extends DiagnosticComposite.TextProvider

## Constructor Summary

Constructors
Constructor
Description
`TextProvider()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage(Diagnostic rootDiagnostic)`
Returns the message to be displayed next to the icon, at the top of the editor.

### Methods inherited from class org.eclipse.emf.common.ui.DiagnosticComposite.TextProvider

`getDetail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextProvider

public TextProvider()

## Method Details

### getMessage

public String getMessage(Diagnostic rootDiagnostic)
Returns the message to be displayed next to the icon, at the top of the editor.

Returns:
  a not null String